#! /bin/sh
### BEGIN INIT INFO
# Provides:          hyperestraier
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start daemon at boot time
# Description:       Enable service provided by daemon
### END INIT INFO
#
# skeleton	example file to build /etc/init.d/ scripts.
#		This file should be used to construct scripts for /etc/init.d.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian 
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.9  26-Feb-2001  miquels@cistron.nl
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/bin/estmaster
NAME=estmaster
DESC=hyperestraier

test -x $DAEMON || exit 0

VERBOSE=yes
# Include hyperestraier defaults if available
if [ -f /etc/default/hyperestraier ] ; then
	. /etc/default/hyperestraier
fi

set -e
if [ "$NO_START" != "0" ]; then
    case "$1" in
    stop)
      exit 0;;
    start|restart|force-reload|status)
      if [ "$VERBOSE" != no ]; then
	echo "Not starting estmaster - edit /etc/default/hyperestraier and change NO_START to be 0.";
      fi
      if [ ! -d "$ROOTDIR" ]; then
	  [ "$VERBOSE" != no ] && echo "hyperestraier: ROOTDIR ($ROOTDIR) not found."
	  exit 1
      fi
      if [ ! -f "$ROOTDIR/_conf" ]; then
	  [ "$VERBOSE" != no ] && echo "hyperestraier: broken ROOTDIR ($ROOTDIR)?. _conf not found."
	  exit 1
      fi
      # do nothing
      exit 0;;
    esac
fi

check_pidfile() {
  pidfile=$ROOTDIR/_pid
  if [ -f $pidfile ]; then
     if [ "$(pidof estmaster)" != "$(cat $pidfile)" ]; then
        # pid mismatch
	rm -f $pidfile
     fi
  fi
}


case "$1" in
  start)
	echo -n "Starting $DESC: "
	check_pidfile
	start-stop-daemon --start --quiet --chuid $USER \
		--exec $DAEMON -- start -bg $ROOTDIR
	echo "$NAME."
	;;
  stop)
	echo -n "Stopping $DESC: "
	check_pidfile
	estmaster stop $ROOTDIR || true
	echo "$NAME."
	;;
  #reload)
	#
	#	If the daemon can reload its config files on the fly
	#	for example by sending it SIGHUP, do it here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this a do-nothing entry.
	#
	# echo "Reloading $DESC configuration files."
	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
	#	/var/run/$NAME.pid --exec $DAEMON
  #;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	echo -n "Restarting $DESC: "
	estmaster stop $ROOTDIR || true 
	sleep 1
	start-stop-daemon --start --quiet --chuid $USER \
		--exec $DAEMON -- start -bg $ROOTDIR
	echo "$NAME."
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
